<?php

/**
 * @file
 */

/**
 * Implementation of MediaInternetBaseHandler.
 *
 */
class MediaInternetKewegoHandler extends MediaInternetBaseHandler {
  public function parse($embedCode) {
    $patterns = array(
      '@kewego\.com/v/([^"\&\? ]+)@i',
    );
    foreach ($patterns as $pattern) {
      preg_match($pattern, $embedCode, $matches);
      if (isset($matches[1])) {
        return file_stream_wrapper_uri_normalize('kewego://v/' . $matches[1]);
      }
    }
  }

  public function claim($embedCode) {
    if ($this->parse($embedCode)) {
      return TRUE;
    }
  }

  public function validate() {
    // @todo Media module currently fails when two files try to have the same
    //   URI, so catch that in the validation step. Some day, it would be nice
    //   to allow it, however. See http://drupal.org/node/952422.
    $uri = $this->parse($this->embedCode);
    $existing_files = file_load_multiple(array(), array('uri' => $uri));
    if (count($existing_files)) {
      throw new MediaInternetValidationException(t('You have entered a URL for a video that is already in your library.'));
    }
  }

  public function save() {
    $file = $this->getFileObject();
    $Kewego = new KewegoConnection;
    $video_details = $Kewego->getVideosDetail($file->filename);
    if ($video_details->title && ($video_details->title != '')) $file->filename = $video_details->title;
    file_save($file);
    return $file;
  }

  public function getFileObject() {
    $uri = $this->parse($this->embedCode);
    return file_uri_to_object($uri);
  }

}
